Summary: IA-32 Execution Layer
Name: ia32elsetup
Version: 6.6.6635.11.08
Release: 1AX
License: GPL
Group: Applications/Emulators
Source: ia32el_source_6.6.6635.11.08.tgz
Source2: ia32el
Source3: is_ia32el.c
Source4: is_ia32el
Source5: ia32exec.bin
Source6: IA32EL-LICENSE.txt
Source7: IA-32_Execution_Layer_Release_Notes_V6_U1_Linux.htm
Source8: ia32elsetup-ia64.conf
Buildroot: /var/tmp/ia32el-root
Prereq: /sbin/chkconfig
ExclusiveArch: ia64
%define _filter_GLIBC_PRIVATE 1

%description
This package contains IA-32 Execution Layer platform which allows emulation
of IA-32 binaries on IA-64.

%prep
%setup -n ia32el -c

%build
make %{?_smp_mflags}
pushd MTL
make
popd

%install
mkdir -p %{buildroot}/etc/rc.d/init.d %{buildroot}%{_libdir}/ia32el %{buildroot}/lib
install -m 755 %{SOURCE2} %{buildroot}/etc/rc.d/init.d/ia32el
# This has been compiled/linked on IA-32 with
# gcc -O2 -static -nostdlib -o is_ia32el is_ia32el.c
install -m 755 %{SOURCE4} %{buildroot}%{_libdir}/ia32el/is_ia32el
install -m 644 %{SOURCE5} %{buildroot}%{_libdir}/ia32el/ia32exec.bin
install -m 755 ia32x/bin.release/libia32x.so %{buildroot}%{_libdir}/ia32el/
install -m 755 loader/bin.release/ia32x_loader %{buildroot}%{_libdir}/ia32el/
install -m 755 loader/bin.release/suid_ia32x_loader %{buildroot}%{_libdir}/ia32el/
install -m 755 MTL/mme/bin.release/libmme.so %{buildroot}%{_libdir}/ia32el/
install -m 755 MTL/auxapp/auxapp %{buildroot}%{_libdir}/ia32el/
mkdir -p %{buildroot}/usr/include/
install -m 755 MTL/mme/mme_jvm_api.h %{buildroot}/usr/include/
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}
install -m 755 %{SOURCE6} %{buildroot}/usr/share/doc/%{name}-%{version}
install -m 755 %{SOURCE7} %{buildroot}/usr/share/doc/%{name}-%{version}
mkdir -p %{buildroot}/etc/ld.so.conf.d/
install -m 644 %{SOURCE8} %{buildroot}/etc/ld.so.conf.d/

%post
/sbin/chkconfig --add ia32el
/sbin/ldconfig
if [ $1 = 1 ]; then
	%{_libdir}/ia32el/is_ia32el > /dev/null 2>&1
	case $? in [01]) ;;
		   *) /sbin/service ia32el start > /dev/null 2>&1;;
	esac
fi
if [ $1 = 2 ]; then
	/sbin/service ia32el restart > /dev/null 2>&1
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service ia32el stop > /dev/null 2>&1
    /sbin/chkconfig --del ia32el
fi

%postun
if [ $1 = 0 ]; then
    /sbin/ldconfig
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/etc/rc.d/init.d/ia32el
%dir %{_libdir}/ia32el
%{_libdir}/ia32el/ia32exec.bin
%{_libdir}/ia32el/is_ia32el
%{_libdir}/ia32el/libia32x.so
%{_libdir}/ia32el/ia32x_loader
%attr(4555,root,root) %{_libdir}/ia32el/suid_ia32x_loader
%{_libdir}/ia32el/libmme.so
%{_libdir}/ia32el/auxapp
/etc/ld.so.conf.d/ia32elsetup-ia64.conf
/usr/include/mme_jvm_api.h
/usr/share/doc/%{name}-%{version}/IA32EL-LICENSE.txt
/usr/share/doc/%{name}-%{version}/IA-32_Execution_Layer_Release_Notes_V6_U1_Linux.htm

%changelog
* Tue Jul 24 2007 Hua Jie <jiehua@redflag-linux.com> 6.6.6635.11.08-1AX
- update to 6.6.6635.11.08

* Thu Jun 07 2007 Hua Jie <jiehua@redflag-linux.com> 6.5.97.29.22-2AX
- change hash-style for Asianux 3.0(patch1)

* Tue Apr 25 2006 Hua Jie <jiehua@redflag-linux.com> 6.5.97.29.22-1AX
- update to 6.5.97.29.22

* Tue Oct 25 2005 Hua Jie <jiehua@redflag-linux.com> 5.3.109.44.24-1AX
- update to 5.3.109.44.24

* Wed Jul 06 2005 Bear Yang <xzyang@redflag-linux.com> 5.3.98.37.22-1AX
- create for Asianux
